Bug 1196901 - [abrt] evince: __pthread_mutex_lock(): evince killed by SIGSEGV
Summary: [abrt] evince: __pthread_mutex_lock(): evince killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bd59b8f97ed696c3ee874c4aa5c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 23:49 UTC by Ulrich Drepper
Modified: 2015-06-30 00:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:11:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (31.61 KB, text/plain)
2015-02-26 23:49 UTC, Ulrich Drepper
no flags Details
File: cgroup (180 bytes, text/plain)
2015-02-26 23:49 UTC, Ulrich Drepper
no flags Details
File: core_backtrace (13.90 KB, text/plain)
2015-02-26 23:49 UTC, Ulrich Drepper
no flags Details
File: dso_list (9.52 KB, text/plain)
2015-02-26 23:49 UTC, Ulrich Drepper
no flags Details
File: environ (3.16 KB, text/plain)
2015-02-26 23:49 UTC, Ulrich Drepper
no flags Details
File: exploitable (82 bytes, text/plain)
2015-02-26 23:49 UTC, Ulrich Drepper
no flags Details
File: limits (1.29 KB, text/plain)
2015-02-26 23:49 UTC, Ulrich Drepper
no flags Details
File: maps (54.66 KB, text/plain)
2015-02-26 23:49 UTC, Ulrich Drepper
no flags Details
File: open_fds (1.51 KB, text/plain)
2015-02-26 23:49 UTC, Ulrich Drepper
no flags Details
File: proc_pid_status (969 bytes, text/plain)
2015-02-26 23:49 UTC, Ulrich Drepper
no flags Details
File: var_log_messages (596 bytes, text/plain)
2015-02-26 23:49 UTC, Ulrich Drepper
no flags Details

Description Ulrich Drepper 2015-02-26 23:49:41 UTC
Description of problem:
Displaying a file which is changed/replaced.

Version-Release number of selected component:
evince-3.10.3-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        evince perfanalysis.pdf
crash_function: __pthread_mutex_lock
executable:     /usr/bin/evince
kernel:         3.15.10-201.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at ../nptl/pthread_mutex_lock.c:66
 #1 MutexLocker at ../goo/GooMutex.h:74
 #2 Stream::incRef at Stream.cc:115
 #3 _poppler_attachment_new at poppler-attachment.cc:133
 #4 poppler_annot_file_attachment_get_attachment at poppler-annot.cc:1243
 #5 ev_annot_from_poppler_annot at ev-poppler.cc:2809
 #6 pdf_document_annotations_get_annotations at ev-poppler.cc:2994
 #7 ev_job_annots_run at ev-jobs.c:543
 #8 ev_job_thread at ev-job-scheduler.c:184
 #9 ev_job_thread_proxy at ev-job-scheduler.c:217

Comment 1 Ulrich Drepper 2015-02-26 23:49:43 UTC
Created attachment 995853 [details]
File: backtrace

Comment 2 Ulrich Drepper 2015-02-26 23:49:44 UTC
Created attachment 995854 [details]
File: cgroup

Comment 3 Ulrich Drepper 2015-02-26 23:49:45 UTC
Created attachment 995855 [details]
File: core_backtrace

Comment 4 Ulrich Drepper 2015-02-26 23:49:46 UTC
Created attachment 995856 [details]
File: dso_list

Comment 5 Ulrich Drepper 2015-02-26 23:49:47 UTC
Created attachment 995857 [details]
File: environ

Comment 6 Ulrich Drepper 2015-02-26 23:49:48 UTC
Created attachment 995858 [details]
File: exploitable

Comment 7 Ulrich Drepper 2015-02-26 23:49:49 UTC
Created attachment 995859 [details]
File: limits

Comment 8 Ulrich Drepper 2015-02-26 23:49:50 UTC
Created attachment 995860 [details]
File: maps

Comment 9 Ulrich Drepper 2015-02-26 23:49:51 UTC
Created attachment 995861 [details]
File: open_fds

Comment 10 Ulrich Drepper 2015-02-26 23:49:52 UTC
Created attachment 995862 [details]
File: proc_pid_status

Comment 11 Ulrich Drepper 2015-02-26 23:49:53 UTC
Created attachment 995863 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 13:42:47 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-30 00:11:28 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.